### Method

# Gtk.Stack.add_named

#### Declaration [src]

    GtkStackPage*
    gtk_stack_add_named (
      GtkStack* stack,
      GtkWidget* child,
      const char* name
    )

#### Description [src]

Adds a child to `stack`.

The child is identified by the `name`.

#### Parameters

`child` | `GtkWidget`
| the widget to add
| Ownership is not transferred to the callee
`name` | `const char*`
| the name for `child` or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GtkStackPage`
the `GtkStackPage` for `child`
Ownership is not transferred to the caller